Core - Bug # 67189

Epic # 65314 (New): PHP7

Status: Resolved Priority: Should have
Author: Alexander Opitz Category:

Created: 2015-05-29 Assigned To: Alexander Opitz
Updated: 2015-06-05 Due date:

TYPO3 Version: 6.2

PHP Version: 7.0

Complexity:

Is Regression: No

Sprint Focus:

Subject: LogRecordTest::toStringIncludesExceptionDataAsJson

Description

Failed asserting that 'Fri, 29 May 2015 08:44:59 +0000 [DEBUG] request="e499f6eb7846b" component="test.core.log": test
message - {"exception":"Exception: foo in /typo3-src/typo3/sysext/core/Tests/Unit/Log/LogRecordTest.php:158
Stack trace:

#0 [internal function]: TYPO3\CMS\Core\\Tests\\Unit\\Log\\LogRecordTest->toStringIncludesExceptionDataAsJson()
#1 /phpunit/phpunit/src/Framework/TestCase.php(865):
ReflectionMethod->invokeArgs(Object(TYPO3WCMS\Core\\Tests\\Unit\\Log\\LogRecordTest), Array)

#2 /phpunit/phpunit/src/Framework/TestCase.php(743): PHPUnit_Framework_TestCase->runTest()

#3 /phpunit/phpunit/src/Framework/TestResult.php(609): PHPUnit_Framework_TestCase->runBare()

#4 /phpunit/phpunit/src/Framework/TestCase.php(699):
PHPUnit_Framework_TestResult->run(Object(TYPO3\CMS\Core\\Tests\\Unit\Log\\LogRecordTest))

#5 /phpunit/phpunit/src/Framework/TestSuite.php(722):
PHPUnit_Framework_TestCase->run(Object(PHPUnit_Framework_TestResult))

#6 /phpunit/phpunit/src/Framework/TestSuite.php(722):
PHPUnit_Framework_TestSuite->run(Object(PHPUnit_Framework_TestResult))

#7 /phpunit/phpunit/src/Framework/TestSuite.php(722):
PHPUnit_Framework_TestSuite->run(Object(PHPUnit_Framework_TestResult))

#8 /phpunit/phpunit/src/TextUl/TestRunner.php(406):
PHPUnit_Framework_TestSuite->run(Object(PHPUnit_Framework_TestResult))

#9 /phpunit/phpunit/src/TextUl/Command.php(153):
PHPUnit_TextUl_TestRunner->doRun(Object(PHPUnit_Framework_TestSuite), Array)

#10 /phpunit/phpunit/src/TextUl/Command.php(105): PHPUnit_TextUl_Command->run(Array, true)

#11 /phpunit/phpunit/phpunit7(56): PHPUnit_TextUl_Command::main()

#12 {main}"}' contains "'Exception’ with message 'foo

=> PHP changed format of Exception Messages
=> https://github.com/php/php-src/pull/1226

Associated revisions

Revision eb6bec53 - 2015-06-05 13:57 - Alexander Opitz

[TASK] Adjust Log tests for changed exception format in PHP7

https://github.com/php/php-src/commit/3ae995f03c8f60c4a4c9718262545¢cf5a6a08da3

Resolves: #67189
https://github.com/php/php-src/pull/1226
https://github.com/php/php-src/commit/3ae995f03c8f60c4a4c9718262545cf5a6a08da3

Releases: master, 6.2
Change-Id: lcc94ebb403d963b6cdb367df8e7a590c581e940c¢
Reviewed-on: http://review.typo3.org/39859

Reviewed-by: Markus Klein <markus.klein@typo3.org>

Tested-by: Markus Klein <markus.klein@typo3.org>

Reviewed-by: Andreas Fernandez <typo3@scripting-base.de>

Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>
Reviewed-by: Frank Nagler <typo3@naegler.net>
Tested-by: Frank Nagler <typo3@naegler.net>

Revision 6cb01bbe - 2015-06-05 14:15 - Alexander Opitz

[TASK] Adjust Log tests for changed exception format in PHP7

https://github.com/php/php-src/commit/3ae995f03c8f60c4a4c9718262545cf5a6a08da3

Resolves: #67189

Releases: master, 6.2

Change-Id: lcc94ebb403d963b6cdb367df8e7a590c581e940c¢
Reviewed-on: http://review.typo3.0rg/39978

Reviewed-by: Frank Nagler <typo3@naegler.net>
Tested-by: Frank Nagler <typo3@naegler.net>

History

#1 - 2015-05-29 11:14 - Alexander Opitz
- Description updated

#2 - 2015-05-29 13:09 - Alexander Opitz
- Parent task set to #65314

#3 - 2015-06-01 12:53 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/39859

#4 - 2015-06-01 12:55 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0org/39859

#5 - 2015-06-01 12:57 - Alexander Opitz

- Status changed from Under Review to Accepted
- Assigned To set to Alexander Opitz

- % Done changed from 0 to 50

#6 - 2015-06-05 13:58 - Gerrit Code Review
- Status changed from Accepted to Under Review
Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/39978

#7 - 2015-06-05 14:01 - Alexander Opitz
- Status changed from Under Review to Resolved
- % Done changed from 50 to 100

Applied in changeset commit:eb6bec53e25020c173a9a7fb8cc48c333d24ce85.
